# -*- coding: utf-8 -*-
# Generated by Django 1.10.1 on 2016-10-13 17:03
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Badge',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uid', models.CharField(max_length=8, unique=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Player',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=32, null=True)),
                ('icon_filename', models.CharField(blank=True, max_length=16, null=True)),
                ('xp', models.PositiveIntegerField(default=0)),
                ('level', models.PositiveSmallIntegerField(default=1)),
                ('average_time_to_answer_seconds', models.FloatField(blank=True, default=0)),
                ('total_playtime_seconds', models.PositiveSmallIntegerField(blank=True, default=0)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('played_with', models.ManyToManyField(blank=True, related_name='_player_played_with_+', to='api.Player')),
            ],
        ),
        migrations.CreateModel(
            name='PlayerPowerup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantity', models.PositiveSmallIntegerField(default=0)),
                ('player', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Player')),
            ],
        ),
        migrations.CreateModel(
            name='PlayerTrophy',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('earned', models.BooleanField(default=False)),
                ('player', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Player')),
            ],
        ),
        migrations.CreateModel(
            name='Powerup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32, unique=True)),
                ('description', models.CharField(max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='Question',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=512)),
                ('hint', models.CharField(max_length=128)),
                ('left_picture_url', models.CharField(max_length=64)),
                ('right_picture_url', models.CharField(max_length=64)),
                ('is_left_correct', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='Session',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('player_1', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='player_1', to='api.Player')),
                ('player_2', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='player_2', to='api.Player')),
            ],
        ),
        migrations.CreateModel(
            name='Terminal',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Trophy',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32, unique=True)),
                ('description', models.CharField(max_length=256)),
            ],
        ),
        migrations.AddField(
            model_name='session',
            name='terminal',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='api.Terminal'),
        ),
        migrations.AddField(
            model_name='session',
            name='winner',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='player_winner', to='api.Player'),
        ),
        migrations.AddField(
            model_name='question',
            name='terminal',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Terminal'),
        ),
        migrations.AddField(
            model_name='playertrophy',
            name='trophy',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Trophy'),
        ),
        migrations.AddField(
            model_name='playerpowerup',
            name='powerup',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Powerup'),
        ),
        migrations.AddField(
            model_name='badge',
            name='active_player',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='api.Player'),
        ),
        migrations.AlterUniqueTogether(
            name='session',
            unique_together=set([('terminal', 'player_1'), ('terminal', 'player_2')]),
        ),
    ]
